Index: fittingview/src/sans/perspectives/fitting/fitting.py
===================================================================
--- fittingview/src/sans/perspectives/fitting/fitting.py	(revision 90ddcdbc4ff513ebdc952ac49a74710e8e392179)
+++ fittingview/src/sans/perspectives/fitting/fitting.py	(revision e68bfef53568fbd56507aa7f52066716e60ba5ee)
@@ -34,4 +34,5 @@
 from sans.guiframe.gui_style import GUIFRAME_ID
 from sans.guiframe.plugin_base import PluginBase 
+from sans.guiframe.data_processor import BatchCell
 from sans.fit.Fitting import Fit
 from .console import ConsoleUpdate
@@ -1064,5 +1065,4 @@
                 if res is None:
                     null_value = numpy.nan
-                    from sans.guiframe.data_processor import BatchCell
                     cell = BatchCell()
                     cell.label = null_value
@@ -1070,10 +1070,16 @@
                     cell.object = [None]
                     batch_outputs["Chi2"].append(cell)
-                    for index  in range(len(pars)):
-                        batch_outputs[pars[index]].append(null_value)
-                        item = null_value
-                        batch_inputs["error on %s" % pars[index]].append(item)
-                        if pars[index] in model.getParamList():
-                            temp_model.setParam(pars[index], res.pvec[index])
+                    for param in temp_model.getParamList():
+                        if temp_model.is_fittable(param):
+                            for index  in range(len(pars)):
+                                #replug only fitted values
+                                if param != pars[index]:
+                                    batch_outputs[pars[index]].append(null_value)
+                                    item = null_value
+                                    batch_inputs["error on %s" % pars[index]].append(item)
+                                    if pars[index] in model.getParamList():
+                                        temp_model.setParam(pars[index], res.pvec[index])
+                                else:
+                                     batch_outputs[str(param)].append(temp_model.getParam(param))
                 else:
                     from sans.guiframe.data_processor import BatchCell
@@ -1082,11 +1088,17 @@
                     cell.value = res.fitness
                     batch_outputs["Chi2"].append(cell)
-                    for index  in range(len(pars)):
-                        batch_outputs[pars[index]].append(res.pvec[index])
-                        item = res.stderr[index]
-                        batch_inputs["error on %s" % pars[index]].append(item)
-                        if pars[index] in temp_model.getParamList():
-                            temp_model.setParam(pars[index], res.pvec[index])
-                        
+                    for param in temp_model.getParamList():
+                        if temp_model.is_fittable(param):
+                            for index  in range(len(pars)):
+                                #replug only fitted values
+                                if param != pars[index]:
+                                    batch_outputs[pars[index]].append(res.pvec[index])
+                                    item = res.stderr[index]
+                                    batch_inputs["error on %s" % pars[index]].append(item)
+                                    if pars[index] in temp_model.getParamList():
+                                        temp_model.setParam(pars[index], res.pvec[index])
+                                else:
+                                     batch_outputs[str(param)].append(temp_model.getParam(param))
+                                
                 self.page_finder[pid].set_batch_result(batch_inputs=batch_inputs,
                                                  batch_outputs=batch_outputs)   
@@ -1143,5 +1155,6 @@
             if key not in batch_inputs.keys():
                 batch_inputs[key] = []
-            batch_inputs[key].append(value)
+            if key.lower().strip() != "loader":
+                batch_inputs[key].append(value)
         param = "temperature"
         if hasattr(data.sample, param):
